<?php
class vrcontab
{

var $idreturn;
	function vrcontab($docu,$idnum)
	{
		session_start();
die ('_conta ERROR');
		require('../cfg/cfg.php');
		require('../cfg/res.php');
		include('../_cfg/config.php');

		// 		include('php_gene1.php');
		include('php_session.php');

		$cont=r_fiel('empr',$cfg_empr,'cont');
		if($cont!=1){return;}

		$xfechanow=date('Y-m-d');
		$xuser= $_SESSION['user_vcrx_id'];
		
		$xmdfrom='X';		
		$xbode='B010';
		$xbode2='';
		$xptoe='001001';

		$sql_empr='select * from empr1';
		$res_empr=mysql_query($sql_empr,$link_vcrx);
		$empr_ruc=mysql_result($res_empr,0,'empr_ruc');
		$empr=mysql_result($res_empr,0,'empr_codigo');

		// VALIDA DOCU
		$tdocu=substr($docu,0,2);
		$sql_docu='select * from docu0 where docu_codigo="'.$docu.'"';
		$res_docu=mysql_query($sql_docu,$link_vcrx);

		if($res_docu==0){die('Error en DOCU');}
		if(substr($docu,0,2)=="DD"){die('Error en DOCU');}

	// FECHA CONTABILIZAR
		$xfcont1=date('2016-01-01');
		
		if($_SESSION['user_vcrx_empr']!="")
		{$cfg_empr=$_SESSION['user_vcrx_empr'];}

		if (mb_stristr('apri',$cfg_empr))
			{$xfcont1=date('2016-03-01');}

		if (mb_stristr('pcs1.prs1',$cfg_empr))
			{$xfcont1=date('2017-01-01');}

		// DOCU
		$xidfrom=$idnum;
		$xmdfrom=strtoupper(mysql_result($res_docu,0,'docu_tabla'));
		$tabla=strtolower(mysql_result($res_docu,0,'docu_tabla'));

		if (mb_stristr('vtas.comp.inve.caja.bcos.retc.retp.rolp.',$tabla))
		{
			$ctadeb=mysql_result($res_docu,0,'docu_ctadeb');
			$ctacre=mysql_result($res_docu,0,'docu_ctacre');
			$ctadcto=mysql_result($res_docu,0,'docu_ctadcto');
			$ctaprop=mysql_result($res_docu,0,'docu_ctaprop');
			$ctaice=mysql_result($res_docu,0,'docu_ctaice');
			$ctaiva=mysql_result($res_docu,0,'docu_ctaiva');
			$ctairbp=mysql_result($res_docu,0,'docu_ctairbp');
			$rescont=mysql_result($res_docu,0,'docu_rescont');

			if($ctadcto==""){$ctadcto=$ctacre;}
			if($ctaice=="") {$ctaice=$ctadeb;}
			if($ctaiva=="") {$ctaiva=$ctadeb;}
			if($ctairbp==""){$ctairbp=$ctadeb;}
			if($ctaprop==""){$ctairbp=$ctaprop;}

			$tabla1=$tabla.'1';
			$tabla2=$tabla.'2';
			$tabla11=$tabla.'11';
			$tabla12=$tabla.'12';

			$sql_tab1='select * from '.$tabla1.' where fecha>="'.$xfcont1.'" and idnum1="'.$idnum.'"';
			$res_tab1=mysql_query($sql_tab1,$link_vcrx);
			if($res_tab1==0){die('ERROR EN TABLA 1');}
			if (mysql_num_rows($res_tab1)==0){die ('NO HAY DATOS X CONTABILIZAR');}
		
			$sql_tab2='select * from '.$tabla2.' where idnum2="'.$idnum.'" order by iddet';
			$res_tab2=mysql_query($sql_tab2,$link_vcrx);
			if($res_tab2==0){die('ERROR EN TABLA 2');}

			$sql_tab11='select * from '.$tabla11.' where fecha>="'.$xfcont1.'" and idnum1="'.$idnum.'"';
			$res_tab11=mysql_query($sql_tab11,$link_vcrx);
			if($res_tab11==0){die('ERROR EN TABLA 11');}

			$sql_tab12='select * from '.$tabla12.' where fecha>="'.$xfcont1.'" and idnum2="'.$idnum.'" order by iddet';
			$res_tab12=mysql_query($sql_tab12,$link_vcrx);
			if($res_tab12==0){die('ERROR EN TABLA 12');}

			if ($tabla=='vtas')
			{
	// 		$sql_uctas='update vtas2,item0,lsub0 set ctas=lsub_ctavtas where item=item_codigo and item_lsub=lsub_codigo and idnum2="'.$idnum.'"';
	// 		$res_uctas=mysql_query($sql_uctas,$link_vcrx);
			}

			if ($tabla=='comp')
			{
	// 		$sql_uctas='update comp2,item0,lsub0 set ctas=lsub_ctainve where item=item_codigo and item_lsub=lsub_codigo and idnum2="'.$idnum.'" and (ctas="" or ctas is null)';
	// 		$res_uctas=mysql_query($sql_uctas,$link_vcrx);
			}

			if ($tabla=='bcos')
			{
	// 		$sql_uctas='update bcos2,bcos1,enti0,zsub0 set ctas=zsub_ctaxcob where (ctas="" or ctas is null) and idnum1=idnum2 and enti=enti_codigo and enti_zsub=zsub_codigo and idnum2="'.$idnum.'"';
	// 		$res_uctas=mysql_query($sql_uctas,$link_vcrx);
			}

			$docu=mysql_result($res_tab1,0,'docu');
			$ptoe=mysql_result($res_tab1,0,'ptoe');
			$numero=mysql_result($res_tab1,0,'numero');
			$fecha=mysql_result($res_tab1,0,'fecha');
			$enti=mysql_result($res_tab1,0,'enti');
			$status=mysql_result($res_tab1,0,'status');
			$concepto=mysql_result($res_tab1,0,'concepto');
			$caba2=@mysql_result($res_tab1,0,'caba2');

			if(mb_stristr('DB13.IE13',$docu) and $caba2!=""){return;}
			

			// capturo el id de contabilidad
			$sql_cont='select * from cont1 where mdfrom="'.$xmdfrom.'" and idfrom="'.$idnum.'" order by idnum1';
			$res_cont=mysql_query($sql_cont,$link_vcrx);

			if (mysql_num_rows($res_cont)==0)
			{
				$sql_icont='insert into cont1(docu,mdfrom,idfrom,iuser,idate) values("'.$docu.'","'.$xmdfrom.'","'.$idnum.'","'.$_SESSION['user_vcrx_id'].'",now())';
				$res_icont=mysql_query($sql_icont,$link_vcrx);
			}
			$res_cont=mysql_query($sql_cont,$link_vcrx);
			$idcont=mysql_result($res_cont,0,'idnum1');
			$this->idreturn=$idcont;
		
			$sql_cont='delete from cont2 where idnum2="'.$idcont.'"';
			$res_cont=mysql_query($sql_cont,$link_vcrx);

			$sql_upd1='update cont1 set ';
			$sql_upd1.=' docu="'.$docu.'",';
			$sql_upd1.=' ptoe="'.$ptoe.'",';
			$sql_upd1.=' numero="'.$numero.'",';
			$sql_upd1.=' fecha="'.$fecha.'",';
			$sql_upd1.=' enti="'.$enti.'",';
			$sql_upd1.=' status="'.$status.'",';
			$sql_upd1.=' concepto="'.$concepto.'" ';
			$sql_upd1.=' where idnum1='.$idcont.'';
			$res_upd1=mysql_query($sql_upd1,$link_vcrx);
		
// 		echo $sql_upd1;
		
			$sql_upd1='update cont1 set ';
			if ($tabla=='vtas')
			{
			}

			if ($tabla=='comp')
			{
			}

			if ($tabla=='caja')
			{
			}

			if ($tabla=='bcos')
			{
			}

			if ($tabla=='retc')
			{
			}

			if ($tabla=='retp')
			{
			}

			if ($tabla=='inve')
			{
			}

			if ($tabla=='nomi')
			{
			}

			$sql_upd1.=' concepto="'.$concepto.'" ';
			$sql_upd1.=' where idnum1='.$idcont.'';
			$res_upd1=mysql_query($sql_upd1,$link_vcrx);

			if (mb_stristr('apri.emar.emun',$cfg_empr))
			{
				$sql_upd1='update cont1 set ';
				$sql_upd1.=' bldn="'.mysql_result($res_tab1,0,'bldn').'" ';
				$sql_upd1.=' concepto="'.$concepto.'" ';
				$sql_upd1.=' where idnum1='.$idcont.'';
				$res_upd1=mysql_query($sql_upd1,$link_vcrx);
			}

			if (mb_stristr('rcsa',$cfg_empr))
			{
			$sql_upd1='update cont1 set ';
			$sql_upd1.=' sntr="'.mysql_result($res_tab1,0,'sntr').'" ';
			$sql_upd1.=' concepto="'.$concepto.'" ';
			$sql_upd1.=' where idnum1='.$idcont.'';
			$res_upd1=mysql_query($sql_upd1,$link_vcrx);
			}

			$res_tab1=mysql_query($sql_tab1,$link_vcrx);
			$res_tab2=mysql_query($sql_tab2,$link_vcrx);
			$res_tab11=mysql_query($sql_tab11,$link_vcrx);
			$res_tab12=mysql_query($sql_tab12,$link_vcrx);

			if ($status!="X" and $status!="O")
			{		
				$entidescri=mysql_result($res_tab11,0,'enti_descri');
				$concepto=mysql_result($res_tab11,0,'concepto');
				$detalle=mysql_result($res_tab11,0,'detalle');
				$total=abs(mysql_result($res_tab11,0,'total'));

				$iddet=0;
				if ($tabla=='vtas' or $tabla=='comp')
				{
					$tdcto=abs(mysql_result($res_tab11,0,'tdcto'));
					$tice=abs(mysql_result($res_tab11,0,'tice'));
					$tiva=abs(mysql_result($res_tab11,0,'tiva'));
					$tirbp=abs(mysql_result($res_tab11,0,'tirbp'));
					$tprop=abs(mysql_result($res_tab11,0,'tprop'));

					if(mb_stristr('FC.NP.NV.FR',$tdocu)){$stran=1;}
					if(mb_stristr('FP.NC',$tdocu)){$stran=-1;}

					$iddet++;
					$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$xctas='';
// 					if($stran==1)	{$xctas=$xctadeb;}
// 					if($stran==-1){$xctas=$xctacre;}

					if ($tabla=='vtas')
					{
						if ($xctas=="")
						{$xctas=mysql_result($res_tab11,0,'enti_ctaxcob');}

						if ($xctas=="")
						{$xctas=r_fiel('zsub',mysql_result($res_tab11,0,'enti_zsub'),'ctaxcob');}

						if ($xctas=="")
						{
							$sql_ctas0='select * from docu0 where docu_codigo="'.mysql_result($res_tab11,0,'docu').'"  order by docu_codigo desc';
							$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
							if($stran==1) {$xctas=mysql_result($res_ctas0,0,'docu_ctadeb');}
							if($stran==-1){$xctas=mysql_result($res_ctas0,0,'docu_ctacre');}
						}

						if($xctas=="")
						{
							$sql_ctas0='select * from ctas0 ';
							$sql_ctas0.=' where left(ctas_codigo,1)="1" ';
							$sql_ctas0.=' and (ctas_descri like "%POR COBRAR%" or ctas_descri like "%X COBRAR%") ';
							$sql_ctas0.=' and (ctas_descri like "CUEN%" or ctas_descri like "CTA%") ';
							$sql_ctas0.=' order by ctas_codigo desc';
							$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
							$xctas=mysql_result($res_ctas0,0,'ctas_codigo');
						}

						if($xctas==""){$xctas='1';}
					}

					if ($tabla=='comp')
					{
						if ($xctas=="")
						{$xctas=mysql_result($res_tab11,0,'enti_ctaxpag');}

						if($xctas=="")
						{$xctas=r_fiel('tpro',mysql_result($res_tab11,0,'enti_tpro'),'ctaxpag');}

						if($xctas=="")
						{
							$sql_ctas0='select * from docu0 where docu_codigo="'.mysql_result($res_tab11,0,'docu').'"';
							$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
// 							$xctas=mysql_result($res_ctas0,0,'docu_ctacre');
							if($stran==1) {$xctas=mysql_result($res_ctas0,0,'docu_ctadeb');}
							if($stran==-1){$xctas=mysql_result($res_ctas0,0,'docu_ctacre');}
						}

						if($xctas=="")
						{
							$sql_ctas0='select * from ctas0 ';
							$sql_ctas0.=' where left(ctas_codigo,1)="2" ';
							$sql_ctas0.=' and (ctas_descri like "%POR PAGAR%" or ctas_descri like "%X PAGAR%") ';
							$sql_ctas0.=' and (ctas_descri like "CUEN%" or ctas_descri like "CTA%") ';
							$sql_ctas0.=' order by ctas_codigo desc';
							$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
							$xctas=mysql_result($res_ctas0,0,'ctas_codigo');
						}

						if($xctas==""){$xctas='2';}
					}

					$sql_upd2='update cont2 set ';	
					$sql_upd2.=' ctas="'.$xctas.'",';
					$sql_upd2.=' cant='.$total*$stran.',';
					$sql_upd2.=' detalle="'.$concepto.'"';
					$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$rescont=0;
					if ($rescont==1)
					{
						$sql_tab12=str_replace('*','*,sum(tsubt)as tsubtd',$sql_tab12);
						$sql_tab12=str_replace('order by ','group by ctas order by ',$sql_tab12);
						$res_tdet=mysql_query($sql_tab12,$link_vcrx);
					}
					else
					{
						$sql_tab12=str_replace('*','*,tsubt as tsubtd',$sql_tab12);
						$res_tdet=mysql_query($sql_tab12,$link_vcrx);
					}

					// GRABA DETALLE
					while($r_deta=mysql_fetch_assoc($res_tdet))
					{
						if ($tabla=='vtas'){$xctas=$r_deta['item_ctavtas'];}
						if ($tabla=='comp'){$xctas=$r_deta['ctas'];}
// 						echo '*/*/*'.$xctas;

						if ($xctas=="")
						{
						if($stran==1){$xctas=$ctacre;}
						if($stran==-1){$xctas=$ctadeb;}
						}

						if ($tabla=='vtas')
						{	

							if($xctas=="")
							{$xctas=$r_deta['lsub_ctavtas'];}

							if($xctas=="")
							{
								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="4" ';
								$sql_ctas0.=' and ctas_descri like "%VENTAS%" ';
								$sql_ctas0.=' and len(trim(ctas_codigo))>=8 ';
								$sql_ctas0.=' order by ctas_codigo';
								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
							}

							if($xctas=="")
							{
								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="4" ';
								$sql_ctas0.=' and ctas_descri like "%VENTAS%" ';
								$sql_ctas0.=' and len(trim(ctas_codigo))>=6 ';
								$sql_ctas0.=' order by ctas_codigo';
								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
							}

							if($xctas=="")
							{
								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="4" ';
								$sql_ctas0.=' and ctas_descri like "%VENTAS%" ';
								$sql_ctas0.=' and len(trim(ctas_codigo))>=4 ';
								$sql_ctas0.=' order by ctas_codigo';
								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
							}

							if($xctas=="")
							{
								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="4" order by ctas_codigo';
								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
							}
						}	

						if ($tabla=='comp')
						{	
							if($xctas=="")
							{
								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="5" ';
								$sql_ctas0.=' and ctas_descri like "%COMPRAS%" ';
								$sql_ctas0.=' and len(trim(ctas_codigo))>=8 ';
								$sql_ctas0.=' order by ctas_codigo';
								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
							}

							if($xctas=="")
							{
								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="5" ';
								$sql_ctas0.=' and ctas_descri like "%COMPRAS%" ';
								$sql_ctas0.=' and len(trim(ctas_codigo))>=6 ';
								$sql_ctas0.=' order by ctas_codigo';
								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
							}

							if($xctas=="")
							{
								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="5" ';
								$sql_ctas0.=' and ctas_descri like "%COMPRAS%" ';
								$sql_ctas0.=' and len(trim(ctas_codigo))>=4 ';
								$sql_ctas0.=' order by ctas_codigo';
								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
							}

// 							if($xctas=="")
// 							{
// 								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="5" and (ctas_descri like "%COMPRAS%") order by ctas_codigo';
// 								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
// 								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
// 							}
							
							if($xctas=="")
							{
								$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="5" order by ctas_codigo';
								$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
								$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
							}
						}	


						$iddet++;
						$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
						$res_upd2=mysql_query($sql_upd2,$link_vcrx);

						$sql_upd2='update cont2 set ';	
						$sql_upd2.=' ctas="'.$xctas.'",';
						$sql_upd2.=' cant='.abs($r_deta['tsubtd'])*$stran.'*-1,';
						$sql_upd2.=' item="'.$r_deta['item'].'",';
						$sql_upd2.=' csub="'.$r_deta['csub'].'",';
						$sql_upd2.=' cair="'.$r_deta['cair'].'",';
						$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
						$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
						$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	// 					echo $sql_upd2;
	// 					echo "\n";

						if($r_deta['tdcto']!=0 and $tabla=='comp')
						{
							$iddet++;
							$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
							$res_upd2=mysql_query($sql_upd2,$link_vcrx);

							$sql_upd2='update cont2 set ';	
							$sql_upd2.=' ctas="'.$xctas.'",';
							$sql_upd2.=' cant='.abs($r_deta['tdcto'])*$stran.'*1,';
							$sql_upd2.=' item="'.$r_deta['item'].'",';
							$sql_upd2.=' csub="'.$r_deta['csub'].'",';
							$sql_upd2.=' cair="'.$r_deta['cair'].'",';
							$sql_upd2.=' detalle="DESCUENTO"';
							$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
							$res_upd2=mysql_query($sql_upd2,$link_vcrx);
						}

						if($r_deta['tprop']!=0)
						{
							$iddet++;
							$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
							$res_upd2=mysql_query($sql_upd2,$link_vcrx);

							$sql_upd2='update cont2 set ';	
							$sql_upd2.=' ctas="'.$xctas.'",';
							$sql_upd2.=' cant='.abs($r_deta['tprop'])*$stran.'*-1,';
							$sql_upd2.=' item="'.$r_deta['item'].'",';
							$sql_upd2.=' csub="'.$r_deta['csub'].'",';
							$sql_upd2.=' cair="'.$r_deta['cair'].'",';
							$sql_upd2.=' detalle="PROPINA"';
							$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
							$res_upd2=mysql_query($sql_upd2,$link_vcrx);
						}
				}


					if($tdcto!=0 and $tabla=='vtas') 
					{
					$iddet++;
					$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$xctas=$ctadcto;
					if($tabla=='vtas')
					{
						if($xctas=="")
						{
							$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="4" and (ctas_descri like "%DESCUENTO%") order by ctas_codigo';
							$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
							$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
						}
						if($xctas=="")
						{
							$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="4" order by ctas_codigo';
							$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
							$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
						}
					}	

// 					if($tabla=='comp')
// 					{
// 						if($xctas=="")
// 						{
// 							$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="5" and (ctas_descri like "%DESCUENTO%") order by ctas_codigo';
// 							$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
// 							$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
// 						}
// 						if($xctas=="")
// 						{
// 							$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="5" order by ctas_codigo';
// 							$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
// 							$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
// 						}
// 					}	

					$sql_upd2='update cont2 set ';	
					$sql_upd2.=' ctas="'.$xctas.'",';
					$sql_upd2.=' cant='.$tdcto*$stran.',';
					$sql_upd2.=' detalle="'.$concepto.'"';
					$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);
					}

					if($tice!=0)
					{
					$iddet++;
					$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$xctas=$ctaice;
					if($xctas=="")
						{
						$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="1" and (ctas_descri like "% ICE %") order by ctas_codigo';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
						$xctas=mysql_result($res_ctas0,0,'ctas_codigo');
						}
					if($xctas==""){$xctas='1';}

					$sql_upd2='update cont2 set ';	
					$sql_upd2.=' ctas="'.$xctas.'",';
					$sql_upd2.=' cant='.$tice*$stran.'*-1,';
					$sql_upd2.=' detalle="'.$concepto.'"';
					$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);
					}

					if($tiva!=0)
					{
					$iddet++;
					$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$xctas=$ctaiva;
					if($xctas=="")
					{
						$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="2" and (ctas_descri like "%IVA%") order by ctas_codigo';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
						$xctas=mysql_result($res_ctas0,0,'ctas_codigo');
					}
					if($xctas=="")
					{
						$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="2" order by ctas_codigo';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
						$xctas=mysql_result($res_ctas0,0,'ctas_codigo');
					}

					$sql_upd2='update cont2 set ';	
					$sql_upd2.=' ctas="'.$xctas.'",';
					$sql_upd2.=' cant='.$tiva*$stran.'*-1,';
					$sql_upd2.=' detalle="'.$concepto.'"';
					$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);
					}

					if($tirbp!=0)
					{
					$iddet++;
					$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$xctas=$ctairbp;
					if($xctas=="")
						{
						$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="4" and (ctas_descri like "% IRBP %") order by ctas_codigo';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
						$xctas=mysql_result($res_ctas0,0,'ctas_codigo');
						}
					if($xctas=="" and $tabla=='vtas'){$xctas='4';}
					if($xctas=="" and $tabla=='comp'){$xctas='5';}

					$sql_upd2='update cont2 set ';	
					$sql_upd2.=' ctas="'.$xctas.'",';
					$sql_upd2.=' cant='.$tirbp*$stran.'*-1,';
					$sql_upd2.=' detalle="'.$concepto.'"';
					$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);
					}

	// 				if($tprop!=0)
	// 				{
	// 				$iddet++;
	// 				$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	// 				$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	// 				$xctas=$ctaprop;
	// // 				if($xctas=="")
	// // 					{
	// // 					$sql_ctas0='select * from ctas0 where left(ctas_codigo,1)="5" and (ctas_descri like "%DESCUENTO%") order by ctas_codigo';
	// // 					$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
	// // 					$xctas=@mysql_result($res_ctas0,0,'ctas_codigo');
	// // 					}

	// 				if($xctas=="" and $tabla=='vtas'){$xctas='4';}
	// // 				if($xctas=="" and $tabla=='comp'){$xctas='5';}
	// 				if($xctas=="" and $tabla=='comp'){$xctas=mysql_result($res_tab12,0,'ctas');}

	// 				$sql_upd2='update cont2 set ';	
	// 				$sql_upd2.=' ctas="'.$xctas.'",';
	// 				$sql_upd2.=' cant='.$tprop*$stran.'*-1,';
	// 				$sql_upd2.=' detalle="'.$concepto.'"';
	// 				$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	// 				$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	// 				}

				}

				if ($tabla=='caja')
				{
					if(mb_stristr('IE.IV.CC.NA',$tdocu)){$stran=1;}
					if(mb_stristr('EE.EV',$tdocu)){$stran=-1;}
					if(mb_stristr('AP10.AC10',$docu)){$stran=1;}
					if(mb_stristr('AP11.AC11',$docu)){$stran=-1;}

					$sql_docu='select * from docu0 where docu_codigo="'.$docu.'"';
					$res_docu=mysql_query($sql_docu,$link_vcrx);
					if($stran==1)
					{$xctas=mysql_result($res_docu,0,'docu_ctadeb');}
					else
					{$xctas=mysql_result($res_docu,0,'docu_ctacre');}

					if ($xctas=="")
					{
					$xcaja=mysql_result($res_tab11,0,'caja');
					$sql_caja='select * from caja0 where caja_codigo="'.$xcaja.'"';
					$res_caja=mysql_query($sql_caja,$link_vcrx);
					$xctas=mysql_result($res_caja,0,'caja_ctacont');
					}

					$iddet++;
					$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",'.$total.')';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);


			if (mb_stristr('apri',$_SESSION['user_vcrx_empr']))
			{	
					if ($xctas=="")
					{
					$sql_ctas0='select * from docu0 where docu_codigo="'.$docu.'" ';
					$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
	// 					echo $sql_ctas0;
					if($stran==1){$xctas=mysql_result($res_ctas0,0,'docu_ctadeb');}
					if($stran==-1){$xctas=mysql_result($res_ctas0,0,'docu_ctacre');}
					}
			}		


					$sql_upd2='update cont2 set ';	
					$sql_upd2.=' ctas="'.$xctas.'",';
					$sql_upd2.=' cant='.$total*$stran.'*1,';
					$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
					$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);


					$rescont=1;
					if ($rescont==1)
					{
						$sql_tab12=str_replace('*','*,sum(abs(tcant)) as tsubtd',$sql_tab12);
						$sql_tab12=str_replace('order by ','group by ctas,docum order by ',$sql_tab12);
						$res_tdet=mysql_query($sql_tab12,$link_vcrx);
					}
					else
					{
						$sql_tab12=str_replace('*','*,abs(tcant) as tsubtd',$sql_tab12);
						$res_tdet=mysql_query($sql_tab12,$link_vcrx);
					}
					// GRABA DETALLE
					while($r_deta=mysql_fetch_assoc($res_tdet))
					{
						//cheque anulado
	// 					if(mb_stristr('CA',$tdocu)){$stran=-1;}

						$xctas=$r_deta['ctas'];


						if ($xctas=="")
						{
						$sql_ctas0='select * from enti0,'.$tabla.'1 where enti=enti_codigo and idnum1="'.$idnum.'" order by enti_codigo desc';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
						if($stran==1){$xctas=mysql_result($res_ctas0,0,'enti_ctaxcob');}
						if($stran==-1){$xctas=mysql_result($res_ctas0,0,'enti_ctaxpag');}
						}

						if ($xctas=="")
						{
						$sql_ctas0='select * from docu0 where docu_codigo="'.$r_deta['docum'].'"  order by docu_codigo desc';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
						if($stran==1){$xctas=mysql_result($res_ctas0,0,'docu_ctadeb');}
						if($stran==-1){$xctas=mysql_result($res_ctas0,0,'docu_ctacre');}
						}

						if ($xctas=="")
						{
	// 					if($stran==1){$xctas=$r_deta['zsub_ctaxcob'];}
	// 					if($stran==-1){$xctas=$r_deta['tpro_ctaxpag'];}
						}


						if ($xctas=="")
						{
						if($stran==1){$xctas=r_fiel('zsub',r_fiel('enti',$enti,'zsub'),'ctaxcob');}
						if($stran==-1){$xctas=r_fiel('tpro',r_fiel('enti',$enti,'tpro'),'ctaxpag');}
						}


						if ($xctas=="")
						{
						if($stran==1){$xctas=$ctacre;}
						if($stran==-1){$xctas=$ctadeb;}
						}



	// 					CHEQUE ANULADO
	// 					if(mb_stristr('CA',$tdocu)){$stran=1;}

						$iddet++;
						$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",'.$total.')';
						$res_upd2=mysql_query($sql_upd2,$link_vcrx);

						$sql_upd2='update cont2 set ';	
						$sql_upd2.=' ctas="'.$xctas.'",';
						$sql_upd2.=' cant='.$r_deta['tsubtd']*$stran.'*-1,';
		// 				$sql_upd2.=' item="'.$r_deta['item'].'",';
		// 				$sql_upd2.=' csub="'.$r_deta['csub'].'",';
		// 				$sql_upd2.=' cair="'.$r_deta['cair'].'",';
						$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
						$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
						$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$xctas="";
					}

				}

				if ($tabla=='bcos')
				{
					if(mb_stristr('DB.DC.NC.DX.CA',$tdocu)){$stran=1;}
					if(mb_stristr('DP.CH.ND.TB.PR',$tdocu)){$stran=-1;}

					$xctab=mysql_result($res_tab11,0,'ctab');
					$xcaba2=mysql_result($res_tab11,0,'caba2');
	// 				$sql_ctab='select * from ctab0 where ctab_codigo="'.$xctab.'"';
	// 				$res_ctab=mysql_query($sql_ctab,$link_vcrx);
	// 				$xctas=mysql_result($res_ctab,0,'ctab_ctacont');
					$xctas=r_fiel('ctab',$xctab,'ctacont');
					$xctas2=r_fiel('caba',$xcaba2,'ctacont');

					$iddet++;
					$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",'.$total.')';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$sql_upd2='update cont2 set ';	
					$sql_upd2.=' ctas="'.$xctas.'",';
					$sql_upd2.=' cant='.$total*$stran.'*1,';
					$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
					$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);


					$rescont=1;
					if ($rescont==1)
					{
						$sql_tab12=str_replace('*','*,sum(abs(tcant)) as tsubtd',$sql_tab12);
						$sql_tab12=str_replace('order by ','group by ctas,docum order by ',$sql_tab12);
						$res_tdet=mysql_query($sql_tab12,$link_vcrx);
					}
					else
					{
						$sql_tab12=str_replace('*','*,abs(tcant) as tsubtd',$sql_tab12);
						$res_tdet=mysql_query($sql_tab12,$link_vcrx);
					}
					// GRABA DETALLE
					while($r_deta=mysql_fetch_assoc($res_tdet))
					{
						//cheque anulado
						if(mb_stristr('CA',$tdocu)){$stran=-1;}

						$xctas=$r_deta['ctas'];
						if(substr($r_deta['docum'],0,2)=='FP' and substr($xctas,0,1)>="4"){$xctas='';}
						if(substr($docu,2,2)=='13')
						{$xctas=$xctas2;}


						if ($xctas=="")
						{
						$sql_ctas0='select * from enti0,'.$tabla.'1 where enti=enti_codigo and idnum1="'.$idnum.'" order by enti_codigo desc';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
						if($stran==1){$xctas=mysql_result($res_ctas0,0,'enti_ctaxcob');}
						if($stran==-1){$xctas=mysql_result($res_ctas0,0,'enti_ctaxpag');}
						}

						if ($xctas=="")
						{
						$sql_ctas0='select * from docu0 where docu_codigo="'.$r_deta['docum'].'"  order by docu_codigo desc';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);
						if($stran==1){$xctas=@mysql_result($res_ctas0,0,'docu_ctadeb');}
						if($stran==-1){$xctas=@mysql_result($res_ctas0,0,'docu_ctacre');}
						}

						if ($xctas=="")
						{
	// 					if($stran==1){$xctas=$r_deta['zsub_ctaxcob'];}
	// 					if($stran==-1){$xctas=$r_deta['tpro_ctaxpag'];}
						}

						if ($xctas=="")
						{
						if($stran==1){$xctas=r_fiel('zsub',r_fiel('enti',$enti,'zsub'),'ctaxcob');}
						if($stran==-1){$xctas=r_fiel('tpro',r_fiel('enti',$enti,'tpro'),'ctaxpag');}
						}



						if ($xctas=="")
						{
						if($stran==1){$xctas=$ctacre;}
						if($stran==-1){$xctas=$ctadeb;}
						}

						if(mb_stristr('CA',$tdocu)){$stran=1;}

						$iddet++;
						$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",'.$total.')';
						$res_upd2=mysql_query($sql_upd2,$link_vcrx);

						$sql_upd2='update cont2 set ';	
						$sql_upd2.=' ctas="'.$xctas.'",';
						$sql_upd2.=' cant='.$r_deta['tsubtd']*$stran.'*-1,';
		// 				$sql_upd2.=' item="'.$r_deta['item'].'",';
		// 				$sql_upd2.=' csub="'.$r_deta['csub'].'",';
		// 				$sql_upd2.=' cair="'.$r_deta['cair'].'",';
						$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
						$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
						$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	// 					echo $sql_upd2;

					$xctas="";
					}

				}

				if (mb_stristr('retc.retp',$tabla))
				{
					if(mb_stristr('RC',$tdocu)){$stran=1;}
					if(mb_stristr('RP',$tdocu)){$stran=1;}

					if(mb_stristr('RC',$tdocu)){$xctas=$ctadeb; $xsigno='1';}
					if(mb_stristr('RP',$tdocu)){$xctas=$ctacre; $xsigno='1';}


					if(mb_stristr('RP',$tdocu)){$xctas=r_fiel('tpro',r_fiel('enti',$enti,'tpro'),'ctaxpag'); $xsigno=1; }
					if(mb_stristr('RC',$tdocu)){$xctas=r_fiel('zsub',r_fiel('enti',$enti,'zsub'),'ctaxcob'); $xsigno=-1; }


					$iddet++;
					$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",'.$total.')';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

					$sql_upd2='update cont2 set ';	
					$sql_upd2.=' ctas="'.$xctas.'",';
					$sql_upd2.=' cant='.$total*$stran.'*'.$xsigno.',';
					$sql_upd2.=' cair="'.$r_deta['cair'].'",';
					$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
					$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
					$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	// 				echo '**********';
	// 				echo $sql_upd2;

					$rescont=1;
					if ($rescont==1)
					{
						$sql_tab12=str_replace('*','*,sum(abs(tcant)) as tsubtd',$sql_tab12);
						$sql_tab12=str_replace('order by ','group by cair,docu order by ',$sql_tab12);
						$res_tdet=mysql_query($sql_tab12,$link_vcrx);
					}
					else
					{
						$sql_tab12=str_replace('*','*,abs(tcant) as tsubtd',$sql_tab12);
						$res_tdet=mysql_query($sql_tab12,$link_vcrx);
					}
	// 				echo $sql_tab12;

					// GRABA DETALLE
					$xsigno=$xsigno*-1;
					while($r_deta=mysql_fetch_assoc($res_tdet))
					{
						$cair=$r_deta['cair'];
						if($cair==''){$cair='-';}
						$puni=intval($r_deta['puni']);
						$xctas=$r_deta['ctas'];
						$xctas=r_fiel('cair',$cair,'ctacont');
						if(mb_stristr('RC',substr($docu,0,2))){$xctas=r_fiel('cair',$cair,'ctaxcob');}
						if(mb_stristr('RP',substr($docu,0,2))){$xctas=r_fiel('cair',$cair,'ctaxpag');}

	// 					echo '****'.$cair.$xctas;
						if($cair=='-' or strlen($xctas)<10)
						{
							$sql_cair='select * from ctas0 where ctas_codigo like "'.$xctas.'%" and ctas_descri like "%'.$puni.'%"';
							$res_cair=mysql_query($sql_cair,$link_vcrx);
	// 						echo $sql_cair;
	// 						echo '///'.mysql_error();
							if(mysql_num_rows($res_cair)!=0)
							{$xctas=mysql_result($res_cair,0,'ctas_codigo');}
						}

	// 					if(mb_stristr('RC',$tdocu)){$xctas=r_fiel('zsub',r_fiel('enti',$enti,'zsub'),'ctaxcob'); }
	// 					echo '****'.$tdocu.$enti.r_fiel('enti',$enti,'zsub');

						if ($xctas=="")
						{
						$sql_ctas0='select * from enti0,'.$tabla.'1 where enti=enti_codigo and idnum1="'.$idnum.'" order by enti_codigo desc';
						$res_ctas0=mysql_query($sql_ctas0,$link_vcrx);

						if($stran==1){$xctas=mysql_result($res_ctas0,0,'enti_ctaxcob');}
						if($stran==-1){$xctas=mysql_result($res_ctas0,0,'enti_ctaxpag');}
						}

						if ($xctas=="")
						{
	// 					if($stran==1){$xctas=$r_deta['zsub_ctaxcob'];}
	// 					if($stran==-1){$xctas=$r_deta['tpro_ctaxpag'];}
						}
						if ($xctas=="")
						{
						if($stran==1){$xctas=$ctacre;}
						if($stran==-1){$xctas=$ctadeb;}
						}


						$iddet++;
						$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",'.$total.')';
						$res_upd2=mysql_query($sql_upd2,$link_vcrx);

						$sql_upd2='update cont2 set ';	
						$sql_upd2.=' ctas="'.$xctas.'",';
						$sql_upd2.=' cant='.$r_deta['tsubtd']*$stran.'*'.$xsigno.',';
						$sql_upd2.=' cair="'.$r_deta['cair'].'",';
						$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
						$sql_upd2.=' where idnum2='.$idcont.' and iddet='.$iddet.'';
						$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	// 					echo $sql_upd2;

					}

				}

				if ($tabla=='inve')
				{
				}

				if ($tabla=='nomi')
				{
				}


			}
	}	
	}
}
	

?>